print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricelamborghini = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local lamborghiniHudFile = "Paletten/hud_fill_lamborghini.dds"
	local lamborghiniHudFileSmall = "Paletten/hud_fill_lamborghini_small.dds"
	
    local lamborghiniFilType = g_fillTypeManager:addFillType("LAMBORGHINI", g_i18n:getText("lamborghini"), true, pricelamborghini * 2.0, 0.00045, math.rad(10), lamborghiniHudFile, lamborghiniHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haslamborghini=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haslamborghini=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "LAMBORGHINI" then
		haslamborghini=true
	end;
		
end;

		if hasmaize and not haslamborghini then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("LAMBORGHINI")
		local price = g_fillTypeManager:getFillTypeByName("LAMBORGHINI").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("LAMBORGHINI")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)